org.apache.pdfbox.preflight.font.util

## Class GlyphDetail

- java.lang.Object
- - org.apache.pdfbox.preflight.font.util.GlyphDetail

    public class GlyphDetail
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GlyphDetail(int code)`
`GlyphDetail(int code, GlyphException error)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCode()` Returns the character code.
`void` `throwExceptionIfNotValid()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlyphDetail

    public GlyphDetail(int code)

Parameters:
  `code` - character code

#### GlyphDetail

    public GlyphDetail(int code,
                       GlyphException error)

Parameters:
  `code` - character code
  `error` - glyph exception

### Method Detail

#### throwExceptionIfNotValid

    public void throwExceptionIfNotValid()
                                  throws GlyphException

Throws:
  `GlyphException`

#### getCode

    public int getCode()

Returns the character code.